# Configuration for WRPF-USA.

[options]
    require_manual_disambiguation = true

[divisions]
    open = {name = "Open", min = 0, max = 999}
    youth = {name = "Youth", min = 5, max = 13}
    teen_14_16 = {name = "Teen 14-16", min = 14, max = 16}
    subjunior_17_19 = {name = "Sub-Juniors 17-19", min = 17, max = 19}
    juniors_20_23 = {name = "Juniors 20-23", min = 20, max = 23}
    masters_40_49 = {name = "Masters 40-49", min = 40, max = 49}
    masters_50_59 = {name = "Masters 50-59", min = 50, max = 59}
    masters_60_69 = {name = "Masters 60-69", min = 60, max = 69}
    masters_70_79 = {name = "Masters 70-79", min = 70, max = 79}
    masters_80_89 = {name = "Masters 80-89", min = 80, max = 89}

	# OpenLifter-style divisions.
	j8_9 = {name="J8-9", min=8, max=9}
	j10_11 = {name="J10-11", min=10, max=11}
	j12_13 = {name="J12-13", min=12, max=13}
	j14_16 = {name="J14-16", min=14, max=16}
	j17_19 = {name="J17-19", min=17, max=19}
	j20_23 = {name="J20-23", min=20, max=23}
	s35_39 = {name="S35-39", min=35, max=39}
	m40_44 = {name="M40-44", min=40, max=44}
	m45_49 = {name="M45-49", min=45, max=49}
	m50_54 = {name="M50-54", min=50, max=54}
	m55_59 = {name="M55-59", min=55, max=59}
	m60_64 = {name="M60-64", min=60, max=64}
	m65_69 = {name="M65-69", min=65, max=69}
	m70_74 = {name="M70-74", min=70, max=74}
	m75_79 = {name="M75-79", min=75, max=79}
	m80p = {name="M80+", min=80, max=999}

    # WRPF-USA 2021 and on
	juniors_8_9 = {name="Juniors 8-9", min=8, max=9}
	juniors_10_11 = {name="Juniors 10-11", min=10, max=11}
	juniors_12_13 = {name="Juniors 12-13", min=12, max=13}
	juniors_14_16 = {name="Juniors 14-16", min=14, max=16}
	juniors_17_19 = {name="Juniors 17-19", min=17, max=19}

    #Other permutations
    submasters_35_39 = {name = "Submasters 35-39", min = 35, max = 39}  # WRPF-USA
    masters_40_44 = {name = "Masters 40-44", min = 40, max = 44}
    masters_45_49 = {name = "Masters 45-49", min = 45, max = 49}
    masters_50_54 = {name = "Masters 50-54", min = 50, max = 54}
    masters_55_59 = {name = "Masters 55-59", min = 55, max = 59}
    masters_60_64 = {name = "Masters 60-64", min = 60, max = 64}
    masters_65_69 = {name = "Masters 65-69", min = 65, max = 69}
    masters_70_74 = {name = "Masters 70-74", min = 70, max = 74}
    masters_75_79 = {name = "Masters 75-79", min = 75, max = 79}
    masters_80_84 = {name = "Masters 80-84", min = 80, max = 84}
    masters = {name = "Masters", min = 40, max = 999}
    teen = {name = "Teen", min = 14, max = 19}
    teen_13_15 = {name = "Teen 13-15", min = 13, max = 15}
    teen_16_17 = {name = "Teen 16-17", min = 16, max = 17}
    teen_18_19 = {name = "Teen 18-19", min = 18, max = 19}
    
    pro_mro = {name = "Pro MR-O", min = 0, max = 999, equipment=["Raw", "Wraps"],sex="M"}
    pro_fro = {name = "Pro FR-O", min = 0, max = 999, equipment=["Raw", "Wraps"],sex="F"}
    pro_mwo = {name = "Pro MW-O", min = 0, max = 999, equipment="Wraps",sex="M"}
    pro_fwo = {name = "Pro FW-O", min = 0, max = 999, equipment="Wraps",sex="F"}
    pro_fwjr = {name = "Pro FW-JR", min = 20, max = 23, equipment="Wraps",sex="F"}

[weightclasses.default_M]
    classes = ["52","56","60","67.5","75","82.5","90","100","110","125","140","140+"]
    date_range = ["1990-01-01", "9999-01-01"]
    sex = "M"

[weightclasses.default_F]
    classes = ["44","48","52","56","60","67.5","75","82.5","90","100","110","125","140","140+"]
    date_range = ["2022-01-01", "9999-01-01"]
    sex = "F"

[weightclasses.original_F]
    classes = ["44","48","52","56","60","67.5","75","82.5","90","90+"]
    date_range = ["1990-01-01", "2021-12-31"]
    sex = "F"

[exemptions]
   1906 = ["ExemptWeightClassConsistency"] #Fewer weightclasses
   bob3 = ["ExemptDivision"] #BOB does their own thing
   bob4 = ["ExemptDivision"] #BOB does their own thing
   bob5 = ["ExemptDivision"] #BOB does their own thing
   bob6 = ["ExemptDivision"] #BOB does their own thing
   2133 = ["ExemptDivision", "ExemptWeightClassConsistency"] # Pro division, LW/HW classes.
